# quicksort.h File Reference

## Detailed Description

Implementation of a unbalanced parallel quicksort (in-place). This file is a GNU parallel extension to the Standard C++ Library.

Definition in file quicksort.h.

Go to the source code of this file.

## Namespaces

- namespace __gnu_parallel

## Defines

- #define _GLIBCXX_PARALLEL_QUICKSORT_H

## Functions

- template<typename RandomAccessIterator, typename Comparator> void __gnu_parallel::parallel_sort_qs (RandomAccessIterator begin, RandomAccessIterator end, Comparator comp, typename std::iterator_traits< RandomAccessIterator >::difference_type n, int num_threads)
- template<typename RandomAccessIterator, typename Comparator> void __gnu_parallel::parallel_sort_qs_conquer (RandomAccessIterator begin, RandomAccessIterator end, Comparator comp, thread_index_t num_threads)
- template<typename RandomAccessIterator, typename Comparator> std::iterator_traits< RandomAccessIterator
  >::difference_type __gnu_parallel::parallel_sort_qs_divide (RandomAccessIterator begin, RandomAccessIterator end, Comparator comp, typename std::iterator_traits< RandomAccessIterator >::difference_type pivot_rank, typename std::iterator_traits< RandomAccessIterator >::difference_type num_samples, thread_index_t num_threads)